import request from '@/utils/request'

// 查询资产入库列表
export function listInput(query) {
  return request({
    url: '/assets/input/list',
    method: 'get',
    params: query
  })
}

// 查询资产入库详细
export function getInput(aId) {
  return request({
    url: '/assets/input/' + aId,
    method: 'get'
  })
}

// 查询资产入库详细
export function inputForm(aId) {
  return request({
    url: '/assets/input/form/' + aId,
    method: 'get'
  })
}


// 新增资产入库
export function addInput(data) {
  return request({
    url: '/assets/input',
    method: 'post',
    data: data
  })
}

// 提交审核
export function commit(aId,processId) {
  return request({
    url: '/assets/input/commit/'+aId+'/'+processId,
    method: 'post',
  })
}
// 提交审核
export function recommit(data) {
  return request({
    url: '/assets/input/recommit',
    method: 'post',
    data: data
  })
}


// 修改资产入库
export function updateInput(data) {
  return request({
    url: '/assets/input',
    method: 'put',
    data: data
  })
}

// 删除资产入库
export function delInput(aId) {
  return request({
    url: '/assets/input/' + aId,
    method: 'delete'
  })
}

// 导出资产入库
export function exportInput(query) {
  return request({
    url: '/assets/input/export',
    method: 'get',
    params: query
  })
}
